SystemOrganization addCategory: #'Tarea3-FinderTest'!

TestCase subclass: #FinderTest
	instanceVariableNames: 'finder'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!FinderTest methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 16:59'!
setUp
	finder := Finder new.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:12'!
testComputeListOfClasses
	| col |
	col := OrderedCollection new.
	self assert: (finder computeListOfClasses: 'asdf') = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:02'!
testCurrentSearchMode
	| sym |
	finder currentSearchMode: sym.
	self assert: (finder currentSearchMode) = sym.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:03'!
testEnvironment
	| col |
	col := OrderedCollection new.
	finder environment: col.
	self assert: (finder environment) = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:36'!
testFindSelector
 	|str|
	str:= 'asdf'.
	self assert: (finder findSelector: str) = nil.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsPatternSymbol
	finder currentSearchMode: #Examples.
	self assert: (finder isPatternSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:33'!
testIsSelectorsSSourceFiles
	finder currentSearchMode: #Selectors.
	self assert: (finder isSelectorsSSourceFiles) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsSelectorsSymbol
	finder currentSearchMode: #Selectors.
	self assert: (finder isSelectorsSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:34'!
testIsSourceSymbol
	finder currentSearchMode: #Source.
	self assert: (finder isSourceSymbol) = true.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:05'!
testPackagesSelection
	| col |
	col := OrderedCollection new.
	finder packagesSelection: col.
	self assert: (finder packagesSelection) = col.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:10'!
testResultDictionary
	| dic |
	dic := Dictionary new.
	finder resultDictionary: dic.
	self assert: (finder resultDictionary) = dic.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:55'!
testSearchingString
	| str |
	str := 'asdf'.
	finder searchingString: str.
	finder searchingStringSilently: str.
	finder constructClassNamesDictionary.
	finder constructDictionaryWithMethodFinder: str.
	self assert: (finder searchingString) = str.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 19:02'!
testSourceSearch
	| str col |
	col := OrderedCollection new.
	str := 'asdasfafgasdadsas'.
	finder packagesSelection: col.
	self assert: (finder sourceSearch: str) = col.
	finder constructSourceDictionary.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:17'!
testUseRegEx
	| bool |
	bool := true.
	finder useRegEx: bool.
	self assert: (finder useRegEx) = bool.! !

!FinderTest methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 17:40'!
testVoids
	|obj|
	obj := nil.
	finder openInWorld.
	finder resetEnvironment.
	finder selection: obj.! !

TestCase subclass: #MethodFinderTest2
	instanceVariableNames: 'mfinder'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea3-FinderTest'!

!MethodFinderTest2 methodsFor: 'running' stamp: 'AldoBertero 1/6/2012 18:39'!
setUp
	mfinder := MethodFinder new.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:41'!
testArgMap
	self assert: (mfinder argMap) = nil.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:43'!
testCleanInputs
	| str |
	str := 'asdf'.
	self assert: (mfinder cleanInputs: str) = str.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 19:30'!
testError
	self should: [mfinder mapData] raise: Error.
	self should: [mfinder makeAllMaps] raise: Error.
	self should: [mfinder testRandom] raise: Error.
	self should: [mfinder verify] raise: Error.
	self should: [mfinder constMult] raise: Error.
	self should: [mfinder constMod] raise: Error.
	self should: [mfinder constPlus] raise: Error.
	self should: [mfinder constEquiv] raise: Error.
	self should: [mfinder constLinear] raise: Error.
	self should: [mfinder constDiv] raise: Error.
	self should: [mfinder testFromTuple:nil] raise: Error.! !

!MethodFinderTest2 methodsFor: 'tests' stamp: 'AldoBertero 1/6/2012 18:42'!
testThisData
	self assert: (mfinder thisData) = nil.! !
